<?php 
class Form_Input {
	protected $name;
	protected $type;
	protected $value = '';
	protected $label = '';
	protected $isOutputOnly = false; // boolean
	
	public function __construct($name, $type='text') {
		$this->name = $name;
		$this->type = $type; 
	} 

	public function setValue($value) {
		$this->value = $value;
	}

	public function setLabel($label) {
		$this->label = $label;
	}

	public function setType( $type ) {
		$this->type = $type;
	}
	
	public function setOutputOnly() {
		$this->isOutputOnly = true;
	}
	
	public function render() {
		$html = "<input type='{$this->type}' " .
						"name='{$this->name}' " .
						"value='{$this->value}' "; 
		if ($this->isOutputOnly) {
			$html .= ' disabled="disabled" '
				  . ' class="output-only" ';
		}
		$html .= " />\n";
		return $html;
	}
	
	public function renderAsTableRow() {
		$html = <<<RENDERROW
			
			<tr>
				<td class='label'>
					{$this->label}
				</td>
				<td class='input'>
					{$this->render()} 
				</td>
			</tr>
				
RENDERROW;
		return $html;
	}
}
