<?php 
require_once 'Form_Input.php';

class Form_Input_Select extends Form_Input {
	/**
	 * Array of options to appear in the drop down list - this
	 * will be rendered as a set of &lt;option&gt; tags within the &lt;select&gt;.
	 * @var array (associative)
	 */
	private $options;
	
	public function __construct($name, $options = array()) {
		$this->name = $name;
		$this->type = 'select';
		$this->options = $options; 
	} 
	
	public function setOptions( $options ) {
		if (is_array($options)) {
			$this->options = $options;
		}
	}
	
	public function getOptions( ) {
		return $this->options;
	}
	
	public function renderOptions( ) {
		$optionTags = '';
		foreach ($this->options as $key => $value) {
			$optionTags .= "\t<option value='$key' ";
			if (trim($this->value) == trim($key)) {
				$optionTags .= "selected='selected' ";
			}
			$optionTags .= ">$value</option>\n";
		}
		return $optionTags;
	}
	
	public function render() {
		$html = "<select name='{$this->name}' ";
		if ($this->isOutputOnly) {
			$html .= ' disabled="disabled" '
				  . ' class="output-only" ';
		}
		$html .= " >\n";
		$html .= $this->renderOptions();		
		$html .= "</select>\n";
		return $html;
	}

}
