<?php 
require_once 'Form_Input.php';

class Form_Input_Textarea extends Form_Input {
	private $rows = 4;
	private $columns = 40;
	
	public function __construct($name) {
		$this->name = $name;
		$this->type = 'textarea';
	} 
	
	public function setSize( $rows, $columns ) {
		$this->rows = $rows;
		$this->columns = $columns;
	}
	
	public function render() {
		$html = "<textarea name='{$this->name}' 
				rows='{$this->rows}' cols='{$this->columns}' ";
		if ($this->isOutputOnly) {
			$html .= ' disabled="disabled" '
				  . ' class="output-only" ';
		}
		$html .= ' >';
		$html .= $this->value;		
		$html .= '</textarea>';
		return $html;
	}
}

