<pre>
<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
 You may use, distribute and modify this code under the
 terms of the BSD license. See file LICENSE.txt in the
 top-most parent folder distributed with this source code.
 If missing, please write to: johnv@div1sys.com.
 */
require_once 'Person_TDG.php';

//------------------------------------------------------------
// Set up data structure (i.e. arrays) for person rows to insert
$bob = array(
        'firstName' => 'Bob',
        'lastName' => 'Smith',
        'dateOfBirth' => '1975-08-13'
        );
$tom = array(
        'firstName' => 'Tom',
        'lastName' => 'Jones',
        'dateOfBirth' => '1969-11-02'
        );

echo "<h3>Before INSERTs:</h3>";
print_r($bob);
print_r($tom);

$personGateway = new Person_TDG();

//------------------------------------------------------------
// Start with empty table
$personGateway->delete_all();

//------------------------------------------------------------
// Insert rows in person table
$bobID = $personGateway->insert($bob);
$bob['id'] = $bobID;  // save bob's id

$tomID = $personGateway->insert($tom);
$tom['id'] = $tomID;  // save tom's id

echo "<h3>After INSERTs:</h3>";
print_r($bob);
print_r($tom);


//------------------------------------------------------------
// Update rows in person table
$tom['firstName'] = 'Thomas';
$personGateway->update($tom);

$bob['firstName'] = 'Robert';
$personGateway->update($bob);

echo "<h3>After UPDATEs:</h3>";
print_r($bob);
print_r($tom);

//------------------------------------------------------------
// Retrieve all rows in person table
$all_rows = $personGateway->find_all();

echo "<h3>Select ALL rows:</h3>";
print_r($all_rows);


//------------------------------------------------------------
// Retrieve specific row from person table
$row = $personGateway->find_row($bob['id']);

echo "<h3>Select ONE row:</h3>";
print_r($row);


//------------------------------------------------------------
// Calculate Bob's age

$bobsName = getFullName($bob);
$bobsBDayFmtd = formatBirthDate($bob['dateOfBirth']);
$bobsAge = calculateAge($bob['dateOfBirth']);
echo "<h3>Calculate Age:</h3>";
echo "$bobsName was born on $bobsBDayFmtd, and his age is $bobsAge";

//------------------------------------------------------------
// Delete specific row from person table
$personGateway->delete_row($tom['id']);
unset($tom);

echo "<h3>After DELETE:</h3>";
print_r($tom);


//------------------------------------------------------------
// LOCAL FUNCTIONS
//------------------------------------------------------------

function getFullName( $pers ) {
    return trim($pers['firstName']) . ' ' . trim($pers['lastName']);
}

function formatBirthDate( $dateStr ) {
    return date('D M d, Y', strtotime($dateStr));
}

function calculateAge( $dateStr ) {
    $datetime1 = new DateTime(date('Ymd'));
    $datetime2 = new DateTime($dateStr);
    $interval = $datetime2->diff($datetime1);
    return $interval->format('%r%y years, %m months, %d days');
}

?>
</pre>

