<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
 You may use, distribute and modify this code under the
 terms of the BSD license. See file LICENSE.txt in the
 top-most parent folder distributed with this source code.
 If missing, please write to: johnv@div1sys.com.
 */
require_once 'Person_RDG.php';
require_once('../03-singleton/DB2Connection.php');

class PersonFinder {

    /* static Factory method - generates a list of objects */
    public static function find_all() {
        $conn = DB2Connection::getInstance();

        $sql = "select * from person";

        if (!$stmt = db2_prepare($conn, $sql) )
            throw new Exception("Select prepare failed! : ".
                db2_stmt_errormsg());

        if (!db2_execute($stmt)) throw new Exception(
            "db2_execute() failed! : ". db2_stmt_errormsg());;

        // Build array of Person_RDG objects
        $obj_list = array();
        while ($row = db2_fetch_assoc($stmt )) {
            $obj_list[] = Person_RDG::load($row);
        }
        // Return collection of Person_RDG objects
        return $obj_list;
    }

    /* static Factory method - generates a single object */
    public static function findByLastName( $lastName ) {
        $conn = DB2Connection::getInstance();

        $sql = "select * from person where upper(lastName) like upper('%?%')";

        $stmt = db2_prepare($conn, $sql);
        if (!$stmt) throw new Exception("Select prepare failed! : ". db2_stmt_errormsg());

        if (!db2_execute($stmt, array($lastName)))
            throw new Exception("db2_execute() failed! : ". db2_stmt_errormsg());;

        $obj_list = array();
        while ($row = db2_fetch_assoc($stmt )) {
            $obj_list[] = Person_RDG::load($row);
        }

        return $obj_list;
    }
}
?>