<pre>
<?php
/* Copyright (C) 2016 John Valance - All Rights Reserved.
   You may use, distribute and modify this code under the
   terms of the BSD license. See file LICENSE.txt in the
   top-most parent folder distributed with this source code.
   If missing, please write to: johnv@div1sys.com.
*/
require_once 'Person.php';
require_once 'DBMapper.php';

$personMapper = new DBMapper('PERSON', 'Person', array('ID'));
$personMapper->setHasAutoID(true);

$bob = new Person();
$bob->setFirstName('Bob');
$bob->setLastName('Smith');
$bob->setDateOfBirth('1975-08-13');
$personMapper->insert( $bob );

$tom = new Person();
$tom->setFirstName('Tom');
$tom->setLastName('Jones');
$tom->setDateOfBirth('1969-11-02');
$tomsID = $personMapper->insert( $tom );

echo "<h3>After INSERTs:</h3>";
echo '<br>$bob: <br>' . $bob;
echo '<br>$tom: <br>' . $tom;


//------------------------------------------------------------
// Use find() method
$tom2 = $personMapper->find(array("ID" => $tomsID));

echo "<h3>personMapper->find($tomsID):</h3>";
echo '<br>$tom2: <br>' . $tom2;


//------------------------------------------------------------
// Update rows in person table
$tom->setFirstName('Thomas');
$personMapper->update( $tom );

$bob->setFirstName('Robert');
$personMapper->update( $bob );

echo "<h3>After UPDATEs:</h3>";
print_r($bob);
print_r($tom);

//------------------------------------------------------------
// Display age information
echo "<h3>Calculate Age:</h3>";
echo $bob->getAgeText();
echo '<br>'.$tom->getAgeText();


//------------------------------------------------------------
// Delete specific row from person table
echo "<h3>DELETE \$tom:</h3>";

$personMapper->delete($tom);
unset($tom);
echo '$tom after delete() and unset(): <br>' . $tom;


echo "<h3>END of Script!</h3>";

?>
</pre>
