<?php 
require_once 'Zend/Loader/Autoloader.php';
Zend_Loader_Autoloader::getInstance();

$mail = new Zend_Mail();
$mail->setType(Zend_Mime::MULTIPART_RELATED);

$mail->setFrom('jvalance@sprynet.com', 'Our Company');
$mail->addTo('jvalance@sprynet.com', 'J. Valance');
$mail->addTo('john.valance@gmail.com', 'John V.');
$mail->setSubject('Test Order Confirm');

$pdf = file_get_contents('Getting-Started-with-Zend-Framework.pdf');
$attach = $mail->createAttachment($pdf,
                        'application/pdf',
                        Zend_Mime::DISPOSITION_ATTACHMENT,
                        Zend_Mime::ENCODING_BASE64);
$attach->filename = 'Zend_Framework_Tutorial.pdf';                       
 
$img = file_get_contents('NEUGC.jpg');
$attach2 = $mail->createAttachment($img,
                        'image/jpg',
                        Zend_Mime::DISPOSITION_INLINE,
                        Zend_Mime::ENCODING_BASE64);
$attach2->filename = 'NEUGC.jpg';
 
$bodyHTML = getHTMLBody( );                       
$mail->setBodyHtml($bodyHTML, null, Zend_Mime::MULTIPART_RELATED);
$mail->setBodyText('Text email content');

$res = $mail->send();
echo $bodyHTML ;

function getHTMLBody() {
	$time = date("M d, Y @ h:i:s a");
	$bodyHTML = <<<bodyHTML
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional //EN">
<html>
	<head>
	<style>
		body, #jv_content { background-color: #F0F9FC; font-family: verdana; color: navy; font-size: 1.2em }
		#jv_content h1 { background-color: lightblue; color:darkred; margin: 4px; border: 3px ridge silver; width: 80%; }
		#jv_content table { background-color: beige; border: 1px solid darkblue; width: 65%; font-size: 1.2em }
		#jv_content th { background-color: navy; color: white }
		#jv_content td { border-bottom: 1px solid silver }
	</style>  
	</head>
	<body>
	<div id="jv_content" style="background-color: #F0F9FC; font-family: verdana; color: navy; font-size: 1.2em;">
		<center>
		<img src="NEUGC.jpg" border="1">
		<h1 style="background-color: lightblue; color:darkred; margin: 4px; border: 3px ridge silver; width: 80%;">
			Order Confirmation
		</h1>
		<p><i>Thank you</i> for ordering from <b>Our Company</b>! Details of your order are below:</p>
		<table style="background-color: beige; border: 1px solid darkblue; width: 65%; font-size: 1.2em;">
			<tr><th style="background-color: navy; color: white">Item #</th>
				<th style="background-color: navy; color: white">Description</th>
				<th style="background-color: navy; color: white">Quantity</th></tr>
			<tr><td>1234</td><td>Small widgets</td><td>123</td></tr>
			<tr><td>4576</td><td>Doo-hickeys</td><td>15</td></tr>
			<tr><td>7343</td><td>Zend Studio i5 v8.0</td><td>10</td></tr>
		</table>
		<p>	Sent on $time.</p>
		</center>
	</div>
	</body>
</html>	
bodyHTML;
	return $bodyHTML;
}
?>
